<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:param name="ID"
		value="#{xdrsrcSimulatorManagerBean.extractIDFromInitialisation()}" />
	<ui:define name="head">
		<h:outputStylesheet library="stylesheet" name="resultStyle.css" />
	</ui:define>
	<ui:define name="body">
		<h1>#{xdrsrcSimulatorManagerBean.getTheNameOfThePage()}</h1>
		<h:form id="globalForm">
			<rich:messages globalOnly="true" styleClass="message" />
			<s:div id="globalDiv">
				<gri:panel id="mainPanel">
					<f:facet name="header">#{xdrsrcSimulatorManagerBean.getTheNameOfThePage()}</f:facet>
					<s:div
						rendered="#{xdrsrcSimulatorManagerBean.selectedAffinityDomain!= null and xdrsrcSimulatorManagerBean.selectedAffinityDomain.keyword.toLowerCase().contains('epsos')}">
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToSendADocumentToA']} " />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.UsingTheTransaction']} #{xdrsrcSimulatorManagerBean.selectedTransaction.keyword}."
							rendered="#{xdrsrcSimulatorManagerBean.selectedTransaction != null}" />
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} " />
						<br />
						<ul>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.SelectYourRepositoryConfigurationOrAddANewOneOnT']} " />
								<h:outputLink
                                        value="/XDStarClient/configuration/common/configurations.seam"
                                        title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
								<h:outputText value=". " /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheSubmissionSetThePatientIdOfT']} " />
							</li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.UploadTheDocumentToSubmitOrUseAnExistingDocument']}" />
							</li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.ClickOnExecuteButtonToSendTheDocumentsToTheSelec']}" />
							</li>
						</ul>
					</s:div>
					<s:div
						rendered="#{xdrsrcSimulatorManagerBean.selectedAffinityDomain!= null and xdrsrcSimulatorManagerBean.selectedAffinityDomain.keyword.toLowerCase().contains('ihe')}">
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToSendDocumentsToA']} " />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.UsingTheTransaction']} #{xdrsrcSimulatorManagerBean.selectedTransaction.keyword}"
							rendered="#{xdrsrcSimulatorManagerBean.selectedTransaction != null}" />
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} " />
						<br />
						<ul>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.SelectYourRepositoryConfigurationOrAddANewOneOnT']} " />
								<h:outputLink
                                        value="/XDStarClient/configuration/common/configurations.seam"
                                        title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
								<h:outputText value=". " /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheSubmissionSetThePatientIdOfT']} " />
							</li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.UploadTheDocumentsToSubmitAndFulfilIHEMetadatasR']}" />
							</li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.ClickOnExecuteButtonToSendTheDocumentsToTheSelec']}" />
							</li>
						</ul>
					</s:div>
					<s:div
						rendered="#{xdrsrcSimulatorManagerBean.selectedAffinityDomain== null}">
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToSendADocumentToA_2']} " />
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.YouHaveToSelectFirstYourConfigurationAndYourAffi']}" />
						<br />
					</s:div>
					<ui:include src="/simu/header.xhtml">
						<ui:param name="divToRerender"
								  value="messageConfigurationDiv"/>
						<ui:param name="simuManager" value="#{xdrsrcSimulatorManagerBean}" />
						<ui:param name="diagramFile"
                                  value="/img/xdr.png"/>
						<ui:param name="sourceID"
							value="#{oid.getSourceOid(xdrsrcSimulatorManagerBean.selectedAffinityDomain.keyword)}" />
						<ui:param name="simulatorConfigurationName"
							value="#{messages['net.ihe.gazelle.xdstar.XDRSRCSimulator']}" />
						<ui:param name="displaySourceId" value="#{true}" />
						<ui:param name="displayhomeCommunityId" value="#{false}" />
					</ui:include>
					<!-- MESSAGE CONFIGURATION -->
					<s:div id="messageConfigurationDiv">
						<gri:panel rendered="#{xdrsrcSimulatorManagerBean.selectedConfiguration != null}">
						<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSMetadatas']}</f:facet>
						<f:subview id="subview_1">
							<ui:include src="epsos.xhtml" />
						</f:subview>
						<f:subview id="subview_2">
							<ui:include src="/provide_register/ihe.xhtml">
								<ui:param name="selectedTransaction"
									value="#{xdrsrcSimulatorManagerBean.selectedTransaction}" />
								<ui:param name="selectedAffinityDomain"
									value="#{xdrsrcSimulatorManagerBean.selectedAffinityDomain}" />
								<ui:param name="conf"
									value="#{xdrsrcSimulatorManagerBean.selectedConfiguration}" />
							</ui:include>
						</f:subview>
						</gri:panel>
					</s:div>
				</gri:panel>
			</s:div>
		</h:form>
	</ui:define>
</ui:composition>
